Subject: Re: Implementation of modifying VC change comments for Git

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2024 11:32:50 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 20 Oct 2024 13:19:09 +0800
> 
> > When I do the above, I get an error message:
> >
> >   vc-do-command: Failed (status 128): git --no-pager commit --only
> > --allow-empty -F c:/Users/EliZ/AppData/Local/Temp/git-msgWaNflu
> >
> > and the *vc* buffer says:
> >
> >   fatal: No paths with --include/--only does not make sense.
> >
> > It's possible my Git is very old, but shouldn't this command work with
> > old versions as well?
> 
> I've looked into it and what's required is Git 2.11.1 from early 2017.

So someone will have to test the patch on Windows with a new en ough
Git version.

> I think we can support older by stashing and unstashing.  So please try
> the attached patch, which does that.

This seems to work without any errors, and the *vc* buffer says

  Successfully rebased and updated refs/heads/master.

But the log message is not updated, neither in the *vc-change-log*
buffer nor if I manually invoke "git log" from the shell prompt.  It
sounds like the commit message was not amended.  "git stash list" also
shows no relevant stashes.

Let me know how can I help you debug this.